package com.cnbm.basic.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.basic.dto.MachineDTO;
import com.cnbm.basic.entity.Machine;

import java.util.Map;

/**
 * 机台表
 *
 * @author why
 * @since  2022-07-15
 */
public interface IMachineService extends CrudService<Machine, MachineDTO> {
    PageData<MachineDTO> page (Map<String, Object> params);

    MachineDTO get(Long id);

    void save(MachineDTO dto);

    void update(MachineDTO dto);

    void delete(Long[] ids);

    void changeStatus(Long id);
}