package com.cnbm.basic.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.basic.dto.ProductFeaturesDTO;
import com.cnbm.basic.entity.ProductFeatures;

import java.util.Map;

/**
 * 产品特性 表
 *
 * @author why
 * @since  2022-07-15
 */
public interface IProductFeaturesService extends CrudService<ProductFeatures, ProductFeaturesDTO> {
    PageData<ProductFeaturesDTO> page (Map<String, Object> params);

    ProductFeaturesDTO get(Long id);

    void save(ProductFeaturesDTO dto);

    void update(ProductFeaturesDTO dto);

    void delete(Long[] ids);
}