package com.cnbm.basic.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.basic.dto.UnitDTO;
import com.cnbm.basic.entity.Unit;

import java.util.Map;

/**
 * 单位 表
 *
 * @author why
 * @since  2022-06-30
 */
public interface IUnitService extends CrudService<Unit, UnitDTO> {
    PageData<UnitDTO> page (Map<String, Object> params);

    UnitDTO get(Long id);

    void save(UnitDTO dto);

    void update(UnitDTO dto);

    void changeStatus(Long id);
}