package com.cnbm.generator.code.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 产品 表
 *
 * @author why
 * @since  2022-08-01
 */
@Data
public class ProductExcel {
    @Excel(name = "")
    private Long id;
    @Excel(name = "产品 名")
    private String name;
    @Excel(name = "产品 编码")
    private String code;
    @Excel(name = "产品 规格")
    private String specifications;
    @Excel(name = "产品 图纸")
    private String drawing;
    @Excel(name = "描述")
    private String descs;
    @Excel(name = "")
    private Long productTypeId;
    @Excel(name = "")
    private Long unitId;
    @Excel(name = "检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验;; 如果有多个用逗号隔开，比如 1,4 就代表选中了进货检验和出货检验")
    private String inspectionStage;
    @Excel(name = "检验标准")
    private String inspectionStandard;
    @Excel(name = "1 可用，0 不可用")
    private Integer status;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;

}