package com.cnbm.processInspection.dto;

import com.cnbm.basic.entity.ProductFeatures;
import com.cnbm.influx.param.Range;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/7/26 14:44
 */
@Data
@ApiModel(value = "控制图 查询参数类")
public class GraphArg {
    @ApiModelProperty(value = "检验特性Id")
    private Long productFeaturesId;

    @ApiModelProperty(value = "查询时间段，开始")
    private Date begin;

    @ApiModelProperty(value = "查询时间段，结束")
    private Date end;

    @ApiModelProperty(value = "判读方案列表")
    private List<InterpretationListArg> interpretationScheme;

    @ApiModelProperty(value = "样本大小，不填的话用之前配置的")
    private Integer sampleSize;


}
