package com.cnbm.qualityPlanning.entity;

import lombok.Data;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/7/12 15:17
 */
@Data
public class ControlLimitDetail {
    //控制上限
    private Double UCL;
    private Double[] UA = new Double[2];
    private Double[] UB = new Double[2];
    private Double[] UC = new Double[2];
    //控制中心线
    private Double CL;
    //控制下限
    private Double LCL;
    private Double[] LA = new Double[2];
    private Double[] LB = new Double[2];
    private Double[] LC = new Double[2];

    public ControlLimitDetail(Double UCL, Double CL, Double LCL){
        this.UCL = UCL;
        this.CL = CL;
        this.LCL = LCL;
        Double agv1 = (this.UCL-this.CL)/3;
        this.UC[0] = this.CL;
        this.UC[1] = this.CL+agv1;
        this.UB[0] = this.UC[0];
        this.UB[1] = this.UC[0]+agv1;
        this.UA[0] = this.UB[0];
        this.UA[1] = this.UB[0]+agv1;

        Double agv2 = (this.CL-this.LCL)/3;
        this.LC[0] = this.CL-agv2;
        this.LC[1] = this.CL;
        this.LB[0] = this.LC[0]-agv2;
        this.LB[1] = this.LC[0];
        this.LA[0] = this.LB[0]-agv2;
        this.LA[1] = this.LB[0];
    }
}
